### Function

# GLib SourceFuncsCheckFunc

since: 2.82

#### Declaration

    gboolean
    (* GSourceFuncsCheckFunc) (
      GSource* source
    )

#### Description [src]

Checks if the source is ready to be dispatched.

Called after all the file descriptors are polled. The source should return `TRUE` if it is ready to be dispatched. Note that some time may have passed since the previous prepare function was called, so the source should be checked again here.

Since 2.36 this may be `NULL`, in which case the effect is as if the function always returns `FALSE`.

Available since: 2.82

#### Parameters

`source`

  Type: `GSource`

  The `GSource`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if ready to be dispatched, `FALSE` otherwise.